using System;
using System.Collections;
using System.Diagnostics;
using System.Drawing;
using System.Reflection;
using System.Xml;
using nft.framework;
using nft.framework.plugin;
using nft.core.game;
using nft.core.geometry;
using nft.core.structure;
using nft.util;
using nft.framework.drawing;
using System.Text;
using System.IO;
using System.Collections.Generic;

namespace nft.contributions.graphics
{
	/// <summary>
	/// CtbCliffTextureFactory の概要の説明です。
	/// </summary>
    public class CtbImageResouceFactory : CtbCustomCtbFactory
	{
        public CtbImageResouceFactory(Plugin p, ParamsReader contrib)
            : base(p, contrib) {
        }

        protected override Contribution Create(Plugin owner, ParamsReader e)
        {
            ParamsReader src = e["src"];
            if(!src.IsNull){                
                e.OverWrite("name","Image:"+src.InnerText);
            } else {
                e.OverWrite("name","<unknown>");
            }
            return new CtbImageResource(owner, e);
        }


    }
}
